@import '~@shared/styles/colors';
@import '~@shared/styles/common';

.doctor-like-header-container {
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-between;
  height: 2.5rem;
  padding-left: 0.6875rem;
  padding-top: 0.5rem;
  padding-right: 1.25rem;
  transition: $simple-transition;
  &__more {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 2rem;
    width: 2.5rem;
    border-radius: $standard-border-radius;
    cursor: pointer;
    &__icon {
      height: 0.3125rem;
      width: 1.3125rem;
      background: url('~@assets/icons/more.png') no-repeat;
      background-size: cover;
    }
    &:hover &__icon {
      background: url('~@assets/icons/more-hover.png') no-repeat;
      background-size: cover;
    }
    &:hover {
      background-color: map-get($gray-palette, xlight);
    }
  }
  &__like-container {
    display: flex;
    align-self: flex-end;
    button {
      @include commonButtonStyles;
      padding: 0;
    }
    &__icon {
      width: 1.625rem;
      height: 1.4375rem;
      background: url('~@assets/icons/heart.png') no-repeat;
      background-size: cover;
      cursor: pointer;
      &:hover {
        width: 1.875rem;
        height: 1.6875rem;
        background: url('~@assets/icons/heart-hover.png') no-repeat;
        background-size: cover;
      }
    }
  }
}
